## baloo-kf5 5.28.0

=== CMakeLists.txt ===
# set minimum version requirements
cmake_minimum_required(VERSION 2.8.12)
set(REQUIRED_QT_VERSION 5.5.0)
set(KF5_VERSION "5.28.0") # handled by release scripts
set(KF5_DEP_VERSION "5.28.0") # handled by release scripts

# set up project
project(Baloo)

# set up extra-cmake-modules before trying anything else
include(FeatureSummary)

find_package(ECM ${KF5_DEP_VERSION} NO_MODULE)
set_package_properties(ECM
    PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Extra CMake Modules"
        URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# we found extra-cmake-modules, so use it now
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
)

# include optional and extra cmake stuff
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)

# set up baloo versions
ecm_setup_version(${KF5_VERSION}
    VARIABLE_PREFIX BALOO
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
    SOVERSION 5
)

# set up build dependencies
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons Config DBusAddons I18n IdleTime Solid FileMetaData Crash KIO)

find_package(LMDB)
set_package_properties(LMDB
    PROPERTIES
        DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
        URL "http://symas.com/mdb"
        TYPE REQUIRED
)

# compiler flags and build system
add_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

set(BUILD_KINOTIFY False)
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    set(BUILD_KINOTIFY True)
endif()

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}

    # we'll configure the rest here so that we don't have to
    # specify them in the source and test directories separately
    ${CMAKE_SOURCE_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/codecs
    ${CMAKE_SOURCE_DIR}/src/codecs
    ${CMAKE_BINARY_DIR}/src/engine
    ${CMAKE_SOURCE_DIR}/src/engine
    ${CMAKE_BINARY_DIR}/src/file
    ${CMAKE_SOURCE_DIR}/src/file
    ${CMAKE_BINARY_DIR}/src/dbus
    ${CMAKE_SOURCE_DIR}/src/dbus
)

# targets
add_subdirectory(src)
add_subdirectory(icons)

if (BUILD_KINOTIFY)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# i18n
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()

# config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Baloo")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# install targets
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooTargets
    NAMESPACE KF5::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5BalooTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

# and we're done
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
baloo-kf5 (5.28.0-2) unstable; urgency=medium

  * Add new patch: Disable-the-file-indexer-by-default.patch

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Dec 2016 14:31:44 +0100

baloo-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:06:03 +0100

baloo-kf5 (5.27.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Drop obsolete conffile.
    Thanks to shirish for the report (Closes: 839917)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:05:54 +0200

baloo-kf5 (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Avoid using dbus-launch to run the tests (Closes: #835837)
    Thanks to Simon McVittie for the report

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:44 +0200

baloo-kf5 (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:48:47 +0200

baloo-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 17:51:59 +0200

baloo-kf5 (5.22.0-2) unstable; urgency=medium

  * Add new patch: build_dbus_unconditionally.patch
  * Add a kfreebsd specific install file

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 19:15:57 +0200

baloo-kf5 (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop qt5-qmltooling-plugins build dependency
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed
  * Acknowledge nmu 5.16.0-1.1. Thanks to Tobias Frost (Closes: #822499)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:23:53 +0200

baloo-kf5 (5.16.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS: error: 'pow' is not a member of 'std'" 
    changed and why> (Closes: #822499)

 -- Tobias Frost <tobi@debian.org>  Tue, 26 Apr 2016 14:28:01 +0200

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kio-dev (>= 5.26.0~),
               libkf5auth-dev (>= 5.14.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5crash-dev (>= 5.28.0~),
               libkf5dbusaddons-dev (>= 5.28.0~),
               libkf5filemetadata-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5idletime-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5solid-dev (>= 5.28.0~),
               liblmdb-dev,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.28.0~),
         libkf5filemetadata-dev (>= 5.28.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-dev
Replaces: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: all
Depends: baloo-kf5 (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional package for baloo
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package can be safely removed.

## baloo-kf5 5.31.0

=== debian/changelog ===
baloo-kf5 (5.31.0-0ubuntu2) zesty; urgency=medium

  * Skip autopkgtest testsuite on unsupported s390x.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 09:32:08 +0000

baloo-kf5 (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:49:48 +0000

baloo-kf5 (5.30.0-0ubuntu1) zesty; urgency=medium

  * Drop upstream applied patch build_dbus_unconditionally.patch
  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:09 +0000

baloo-kf5 (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Drop old kio-dev build dep which is now replaced by libkf5kio-dev

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               kio-dev (>= 5.26.0~),
-               libkf5auth-dev (>= 5.14.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5crash-dev (>= 5.28.0~),
-               libkf5dbusaddons-dev (>= 5.28.0~),
-               libkf5filemetadata-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.28.0~),
-               libkf5idletime-dev (>= 5.28.0~),
-               libkf5kio-dev (>= 5.28.0~),
-               libkf5solid-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5auth-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5filemetadata-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5idletime-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5solid-dev (>= 5.31.0~),
                liblmdb-dev,
                libxapian-dev,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.5.0~),
-               qtdeclarative5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/baloo
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
 
 Package: baloo-kf5-dev
 Section: devel
@@ -33,8 +32,8 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.28.0~),
-         libkf5filemetadata-dev (>= 5.28.0~),
+         libkf5coreaddons-dev (>= 5.31.0~),
+         libkf5filemetadata-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: baloo-dev

## baloo-kf5 5.37.0

=== debian/changelog ===
baloo-kf5 (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:22 +0200

baloo-kf5 (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5baloo-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set Priority to optional
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:31 +0200

baloo-kf5 (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add gpg signature

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:23 +0200

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.37.0~),
               graphviz,
               kio-dev (>= 5.26.0~),
               libkf5auth-dev (>= 5.14.0~),
               libkf5config-dev (>= 5.37.0~),
               libkf5coreaddons-dev (>= 5.37.0~),
               libkf5crash-dev (>= 5.37.0~),
               libkf5dbusaddons-dev (>= 5.37.0~),
               libkf5filemetadata-dev (>= 5.37.0~),
               libkf5i18n-dev (>= 5.37.0~),
               libkf5idletime-dev (>= 5.37.0~),
               libkf5kio-dev (>= 5.37.0~),
               libkf5solid-dev (>= 5.37.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.0
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git

Package: baloo
Section: oldlibs
Priority: optional
Architecture: all
Depends: baloo-kf5 (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional package for baloo
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package can be safely removed.

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.37.0~),
         libkf5filemetadata-dev (>= 5.37.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: baloo-dev
Replaces: baloo-dev
Recommends: libkf5baloo-doc (= ${source:Version})
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_QCH=ON

override_dh_strip:
	$(overridden_command) --dbgsym-migration='baloo-kf5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

BINARY_VERSION_NO_EPOCH := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(\([[:digit:]]\+\):\)\?/\2/')

override_dh_gencontrol:
	dh_gencontrol -pbaloo -- '-v4:$(BINARY_VERSION_NO_EPOCH)'
	dh_gencontrol --remaining-packages

## baloo-kf5 5.38.0

=== debian/changelog ===
baloo-kf5 (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:13:32 +0100

baloo-kf5 (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:46:34 +0100

baloo-kf5 (5.36.0-0ubuntu2) artful; urgency=medium

  * debian/patches: Add upstream_fix_compilation_with_cmake_3.9.patch 

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 Aug 2017 14:03:14 +0100

baloo-kf5 (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:51:38 +0100

baloo-kf5 (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:56:29 +0100

baloo-kf5 (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:24:22 +0100

baloo-kf5 (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:03:18 +0100

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.38.0~),
               libkf5auth-dev (>= 5.38.0~),
               libkf5config-dev (>= 5.38.0~),
               libkf5coreaddons-dev (>= 5.38.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5filemetadata-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5idletime-dev (>= 5.38.0~),
               libkf5kio-dev (>= 5.38.0~),
               libkf5solid-dev (>= 5.38.0~),
               liblmdb-dev,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.38.0~),
         libkf5filemetadata-dev (>= 5.38.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-dev
Replaces: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: all
Depends: baloo-kf5 (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional package for baloo
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package can be safely removed.

## baloo-kf5 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # set minimum version requirements
-cmake_minimum_required(VERSION 2.8.12)
-set(REQUIRED_QT_VERSION 5.5.0)
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
+cmake_minimum_required(VERSION 3.0)
+set(REQUIRED_QT_VERSION 5.7.0)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
 
 # set up project
-project(Baloo)
+project(Baloo VERSION ${KF5_VERSION})
 
 # set up extra-cmake-modules before trying anything else
 include(FeatureSummary)
@@ -24,24 +24,32 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
 )
 
+include(ECMSetupVersion)
+
+# set up baloo versions
+ecm_setup_version(PROJECT
+    VARIABLE_PREFIX BALOO
+    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
+    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
+    SOVERSION 5
+)
+
 # include optional and extra cmake stuff
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
-include(ECMPackageConfigHelpers)
-include(ECMSetupVersion)
+include(CMakePackageConfigHelpers)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(ECMAddTests)
+include(ECMAddQch)
+include(ECMQtDeclareLoggingCategory)
+include(ECMMarkNonGuiExecutable)
 
-# set up baloo versions
-ecm_setup_version(${KF5_VERSION}
-    VARIABLE_PREFIX BALOO
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
-    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
-    SOVERSION 5
-)
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+
 
 # set up build dependencies
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)
@@ -54,15 +62,18 @@
         URL "http://symas.com/mdb"
         TYPE REQUIRED
 )
+if(${LMDB_FOUND})
+    include_directories(${LMDB_INCLUDE_DIRS})
+endif()
 
 # compiler flags and build system
 add_definitions(-DQT_NO_KEYWORDS)
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
-set(BUILD_KINOTIFY False)
-if(CMAKE_SYSTEM_NAME MATCHES "Linux")
-    set(BUILD_KINOTIFY True)
-endif()
+find_package(Inotify)
+set_package_properties(Inotify PROPERTIES
+    PURPOSE "Filesystem alteration notifications using inotify")
+set(BUILD_KINOTIFY ${Inotify_FOUND})
 
 include_directories(
     ${CMAKE_BINARY_DIR}
@@ -86,9 +97,9 @@
 add_subdirectory(src)
 add_subdirectory(icons)
 
-if (BUILD_KINOTIFY)
-    add_subdirectory(tests)
-    add_subdirectory(autotests)
+if (BUILD_TESTING AND BUILD_KINOTIFY)
+   add_subdirectory(tests)
+   add_subdirectory(autotests)
 endif()
 
 # i18n
@@ -99,7 +110,17 @@
 # config files
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Baloo")
 
-ecm_configure_package_config_file(
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5Baloo_QCH
+        FILE KF5BalooQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BalooQchTargets.cmake\")")
+endif()
+
+configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
     PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
@@ -125,5 +146,7 @@
     COMPONENT Devel
 )
 
+install(FILES baloo.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+
 # and we're done
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/dbus/CMakeLists.txt ===
#
# MainHub
#
set(mainhub_xml org.kde.baloo.main.xml)

qt5_generate_dbus_interface(
    ${CMAKE_SOURCE_DIR}/src/file/mainhub.h
    ${mainhub_xml}
    OPTIONS -a
)

#
# FileIndexScheduler
#
set(scheduler_xml org.kde.baloo.scheduler.xml)

qt5_generate_dbus_interface(
    ${CMAKE_SOURCE_DIR}/src/file/fileindexscheduler.h
    ${scheduler_xml}
    OPTIONS -a
)

#
# FileContentIndexer
#
set(contentindexer_xml org.kde.baloo.fileindexer.xml)

qt5_generate_dbus_interface(
    ${CMAKE_SOURCE_DIR}/src/file/filecontentindexer.h
    ${contentindexer_xml}
    OPTIONS -a
)

set(
    dbus_interface_xmls
    ${CMAKE_CURRENT_BINARY_DIR}/${mainhub_xml}
    ${CMAKE_CURRENT_BINARY_DIR}/${scheduler_xml}
    ${CMAKE_CURRENT_BINARY_DIR}/${contentindexer_xml}
)

qt5_add_dbus_interfaces(
    dbus_interfaces
    ${dbus_interface_xmls}
)

add_custom_target(
    BalooDBusInterfaces
    ALL
    DEPENDS ${dbus_interfaces}
)

install(FILES ${dbus_interface_xmls} DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

add_subdirectory(fake)

=== src/file/CMakeLists.txt ===
include_directories(${Inotify_INCLUDE_DIRS})
add_definitions(-DTRANSLATION_DOMAIN=\"baloo_file5\")

set(file_static_lib_SRCS
    # File Indexer
    mainhub.cpp
    mainadaptor.cpp
    fileindexerconfig.cpp
    basicindexingjob.cpp
    powerstatemonitor.cpp

    fileindexscheduler.cpp

    firstrunindexer.cpp
    newfileindexer.cpp
    xattrindexer.cpp
    modifiedfileindexer.cpp
    unindexedfileindexer.cpp

    filecontentindexer.cpp
    filecontentindexerprovider.cpp
    extractorprocess.cpp
    timeestimator.cpp

    indexcleaner.cpp

    # Common
    priority.cpp
    regexpcache.cpp
    fileexcludefilters.cpp
    storagedevices.cpp
    filtereddiriterator.cpp
    unindexedfileiterator.cpp
    migrator.cpp
    fileinfo.cpp

     # File Watcher
    filewatch.cpp
    pendingfilequeue.cpp
    metadatamover.cpp
    pendingfile.cpp
    kinotify.cpp
)

ecm_qt_declare_logging_category(file_static_lib_SRCS HEADER baloodebug.h IDENTIFIER BALOO CATEGORY_NAME org.kde.baloo)

add_library(baloofilecommon STATIC ${file_static_lib_SRCS})
target_link_libraries(baloofilecommon
    Qt5::DBus
    KF5::I18n
    KF5::Solid
    KF5::FileMetaData
    KF5::Crash
    KF5::ConfigCore
    KF5::BalooEngine
    ${Inotify_LIBRARIES}
)

set(file_SRCS
    main.cpp
)

add_executable(baloo_file ${file_SRCS})
ecm_mark_nongui_executable(baloo_file)
target_compile_definitions(baloo_file PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(baloo_file
    baloofilecommon
)

install(TARGETS baloo_file ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES baloo_file.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

add_subdirectory(extractor)

=== autotests/unit/file/CMakeLists.txt ===
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  ecm_add_test(kinotifytest.cpp
    TEST_NAME "kinotifytest"
    LINK_LIBRARIES Qt5::Test baloofilecommon
  )
endif()

MACRO(BALOO_FILE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp TEST_NAME ${_testname} LINK_LIBRARIES Qt5::Test baloofilecommon KF5::Baloo)
  ENDFOREACH()
ENDMACRO()

baloo_file_auto_tests(
    pendingfilequeuetest
    fileindexerconfigtest
    basicindexingjobtest
    regularexpcachebenchmark
    filtereddiriteratortest
    unindexedfileiteratortest
    metadatamovertest
    fileinfotest
)


#
# File Watch
#
set(fileWatch_SRC filewatchtest.cpp ../lib/xattrdetector.cpp)
ecm_add_test(${fileWatch_SRC}
    TEST_NAME "filewatchtest"
    LINK_LIBRARIES Qt5::Test Qt5::DBus KF5::Baloo baloofilecommon
)

=== src/file/extractor/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"baloo_file5\")
add_definitions(-DTRANSLATION_DOMAIN=\"baloo_file_extractor5\")

set(EXTRACTOR_SRCS
  main.cpp
  app.cpp
  result.cpp
  iohandler.cpp
  idlestatemonitor.cpp
  ../priority.cpp
  ../basicindexingjob.cpp
  ../fileindexerconfig.cpp
  ../storagedevices.cpp
  ../regexpcache.cpp
  ../fileexcludefilters.cpp
)

ecm_qt_declare_logging_category(EXTRACTOR_SRCS HEADER baloodebug.h IDENTIFIER BALOO CATEGORY_NAME org.kde.baloo)

add_executable(baloo_file_extractor ${EXTRACTOR_SRCS})
ecm_mark_nongui_executable(baloo_file_extractor)
target_compile_definitions(baloo_file_extractor PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(baloo_file_extractor
  Qt5::DBus
  Qt5::Widgets
  KF5::FileMetaData
  KF5::I18n
  KF5::ConfigCore
  KF5::Solid
  KF5::BalooEngine
  KF5::Crash
  KF5::IdleTime
)

install(TARGETS baloo_file_extractor DESTINATION ${BIN_INSTALL_DIR})

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== debian/changelog ===
baloo-kf5 (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:55:40 +0000

baloo-kf5 (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:13:28 +0000

baloo-kf5 (5.42.0-0ubuntu1) bionic; urgency=medium

  * Install baloo.categories file
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:19:26 +0000

baloo-kf5 (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * New upstream release (5.41.0)
  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:02:21 -0600

baloo-kf5 (5.40.0-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:14:38 +0000

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5auth-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5filemetadata-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5idletime-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5solid-dev (>= 5.44.0~),
               liblmdb-dev,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo

Package: baloo
Architecture: all
Section: oldlibs
Priority: optional
Depends: baloo-kf5 (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional package for baloo
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package can be safely removed.

Package: baloo-kf5
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Architecture: any
Section: devel
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.44.0~),
         libkf5filemetadata-dev (>= 5.44.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-dev
Replaces: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
-
-override_dh_auto_configure:
-	$(overridden_command) -- -DBUILD_QCH=ON
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='baloo-kf5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/baloo-([\d.]+)\.tar\.xz

## baloo-kf5 5.50.0

=== debian/changelog ===
baloo-kf5 (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:11:06 +0100

baloo-kf5 (5.49.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:28:34 +0100

baloo-kf5 (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
    - import Disable-the-file-indexer-by-default.patch but keep it disabled,
      since that seems to me like a political decision to be discussed with
      other members of the team

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:47:15 +0100

baloo-kf5 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:14 +0200

baloo-kf5 (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:54:28 +0100

baloo-kf5 (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:51 +0200

baloo-kf5 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:12 +0100

baloo-kf5 (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:53 +0100

baloo-kf5 (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:22 +0100

baloo-kf5 (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:22 +0100

baloo-kf5 (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Drop transitional package baloo.
    Thanks to Holger Levsen for checking and reporting (Closes: 878226)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:54 -0300

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libkf5auth-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5filemetadata-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5idletime-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5solid-dev (>= 5.50.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo

Package: baloo-kf5
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Architecture: any
Section: devel
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.50.0~),
         libkf5filemetadata-dev (>= 5.50.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5baloo-doc (= ${source:Version})
Breaks: baloo-dev
Replaces: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.

Package: libkf5baloo5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
